apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: traefik-auth
spec:
  basicAuth:
    secret: traefik-auth

---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: traefik-admin
spec:
  entryPoints:
  - websecure
  routes:
  - match: Host(`traefik-hcloud.lordran.net`)
    kind: Rule
    services:
    - name: traefik-admin
      port: 8080
    middlewares:
    - name: traefik-auth
  tls:
    certResolver: default
